Subject: Re: bug#14860: [Peter Vasil] emacs 24.3.50.1: Byte compile warning Warning: function used to take 0+ arguments, now takes 0

From: Michael Heerdegen <[email-masked]>
Date: Sun, 14 Jul 2013 03:03:53 +0200

Stefan Monnier <[email-masked]> writes:

> > When I byte-compile init.el I get the following warning:
> > function goto-line-with-feedback used to take 0+ arguments, now takes 0

FWIW, I get exactly the same message when using nadvices.  Example: put
this into a file:

--8<---------------cut here---------------start------------->8---
(defun test () (message "test"))

(advice-add 'test :before
            (lambda () (message "before advice")))
--8<---------------cut here---------------end--------------->8---

load it, and byte-compile it:

==>

| In test:
| test.el:1:8:Warning: function test used to take 0+ arguments, now takes 0

Regards,

Michael.